Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.core.sqlnode
Class SqlSelectBlock

    java.lang.Object
      com.hp.hpl.jena.sdb.core.AnnotationsBase
          com.hp.hpl.jena.sdb.core.sqlnode.SqlNodeBase
              com.hp.hpl.jena.sdb.core.sqlnode.SqlNodeBase1
                  com.hp.hpl.jena.sdb.core.sqlnode.SqlSelectBlock

All Implemented Interfaces:
  Annotations, SqlNode, org.openjena.atlas.io.Printable

    public class SqlSelectBlock

extends SqlNodeBase1

A unit that generates an SQL SELECT Statement. The SQL generation process is a pass over the SqlNdoe structure to generate SelectBlocks, then to generate the SQL strings.

Author:
  Andy Seaborne

Method Summary
`void` | `add(ColAlias c)`
`void` | `addAll(Collection<ColAlias> vc)`
`SqlNode` | `apply(SqlTransform transform, SqlNode newSubNode)`
`SqlSelectBlock` | `asSelectBlock()`
`SqlNode` | `clearView()` Prepare the SelectBlock for use as a top level element - may discard the block
`SqlNode` | `copy(SqlNode subNode)`
`static SqlNode` | `distinct(SDBRequest request, SqlNode sqlNode)`
`List<ColAlias>` | `getCols()`
`SqlExprList` | `getConditions()`
`boolean` | `getDistinct()`
`Scope` | `getIdScope()`
`long` | `getLength()`
`Scope` | `getNodeScope()`
`long` | `getStart()`
`boolean` | `hasConditions()`
`boolean` | `hasSlice()`
`boolean` | `isSelectBlock()`
`static SqlNode` | `project(SDBRequest request, SqlNode sqlNode)`
`static SqlNode` | `project(SDBRequest request, SqlNode sqlNode, ColAlias col)`
`static SqlNode` | `project(SDBRequest request, SqlNode sqlNode, Collection<ColAlias> cols)`
`static SqlNode` | `restrict(SDBRequest request, SqlNode sqlNode, SqlExpr expr)`
`static SqlNode` | `restrict(SDBRequest request, SqlNode sqlNode, SqlExprList exprs)`
`void` | `setBlockAlias(String alias)`
`static SqlNode` | `slice(SDBRequest request, SqlNode sqlNode, long start, long length)`
`static SqlNode` | `view(SDBRequest request, SqlNode sqlNode)`
`void` | `visit(SqlNodeVisitor visitor)`

Methods inherited from class com.hp.hpl.jena.sdb.core.sqlnode.SqlNodeBase1
`getSubNode`

Methods inherited from class com.hp.hpl.jena.sdb.core.sqlnode.SqlNodeBase
`asCoalesce, asDistinct, asInnerJoin, asJoin, asLeftJoin, asProject, asRestrict, asTable, getAliasName, isCoalesce, isDistinct, isInnerJoin, isJoin, isLeftJoin, isProject, isRestrict, isTable, output, output, tablesInvolved, toString, usesColumn`

Methods inherited from class com.hp.hpl.jena.sdb.core.AnnotationsBase
`addNote, addNotes, getNotes, hasNotes, hasOneNote`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.hp.hpl.jena.sdb.core.Annotations
`addNote, addNotes, getNotes, hasNotes, hasOneNote`

Method Detail

### distinct

    public static SqlNode distinct(SDBRequest request,
                                   SqlNode sqlNode)

### project

    public static SqlNode project(SDBRequest request,
                                  SqlNode sqlNode)

### project

    public static SqlNode project(SDBRequest request,
                                  SqlNode sqlNode,
                                  Collection<ColAlias> cols)

### project

    public static SqlNode project(SDBRequest request,
                                  SqlNode sqlNode,
                                  ColAlias col)

### slice

    public static SqlNode slice(SDBRequest request,
                                SqlNode sqlNode,
                                long start,
                                long length)

### view

    public static SqlNode view(SDBRequest request,
                               SqlNode sqlNode)

### restrict

    public static SqlNode restrict(SDBRequest request,
                                   SqlNode sqlNode,
                                   SqlExprList exprs)

### restrict

    public static SqlNode restrict(SDBRequest request,
                                   SqlNode sqlNode,
                                   SqlExpr expr)

### isSelectBlock

    public boolean isSelectBlock()

  Specified by:
    `isSelectBlock` in interface `SqlNode`
  Overrides:
    `isSelectBlock` in class `SqlNodeBase`

### asSelectBlock

    public SqlSelectBlock asSelectBlock()

  Specified by:
    `asSelectBlock` in interface `SqlNode`
  Overrides:
    `asSelectBlock` in class `SqlNodeBase`

### setBlockAlias

    public void setBlockAlias(String alias)

### getCols

    public List<ColAlias> getCols()

### add

    public void add(ColAlias c)

### addAll

    public void addAll(Collection<ColAlias> vc)

### clearView

    public SqlNode clearView()

  Prepare the SelectBlock for use as a top level element - may discard the block

### getConditions

    public SqlExprList getConditions()

### hasSlice

    public boolean hasSlice()

### hasConditions

    public boolean hasConditions()

### getStart

    public long getStart()

### getLength

    public long getLength()

### getIdScope

    public Scope getIdScope()

  Specified by:
    `getIdScope` in interface `SqlNode`
  Overrides:
    `getIdScope` in class `SqlNodeBase1`

### getNodeScope

    public Scope getNodeScope()

  Specified by:
    `getNodeScope` in interface `SqlNode`
  Overrides:
    `getNodeScope` in class `SqlNodeBase1`

### apply

    public SqlNode apply(SqlTransform transform,
                         SqlNode newSubNode)

  Specified by:
    `apply` in class `SqlNodeBase1`

### copy

    public SqlNode copy(SqlNode subNode)

  Specified by:
    `copy` in class `SqlNodeBase1`

### visit

    public void visit(SqlNodeVisitor visitor)

### getDistinct

    public boolean getDistinct()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.